Page MenuHomePhabricator

Don't allow structured data captions/statements on "File" pages which are just redirects
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2019, 9:15 PM

Change 483950 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@master] Hide structured data captions on redirect pages

https://gerrit.wikimedia.org/r/483950

Jdforrester-WMF moved this task from To Do to Doing on the SDC Engineering board.Jan 12 2019, 8:01 PM
Jdforrester-WMF claimed this task.

Change 483950 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Hide structured data captions on redirect pages

https://gerrit.wikimedia.org/r/483950

Roy17 removed a subscriber: Roy17.Jan 16 2019, 9:00 PM

So the tentative solution as implemented is to hide the input field for redirects? But when the redirect link is malformed, it would show up. Perhaps the input field should be hidden for all pages without a file.

So the tentative solution as implemented is to hide the input field for redirects? But when the redirect link is malformed, it would show up.

Not tentative, merged, and now deployed to Wikimedia Commons.

Perhaps the input field should be hidden for all pages without a file.

File pages that don't exist already don't get a captions box. Checking for binary file being attached could be a bit too expensive a test.

Ramsey-WMF closed this task as Resolved.Jan 17 2019, 8:39 PM

Confirmed working on production with Redirect-testing.jpg and ImageRedirectTest.jpg

greg added a project: Multimedia.Mar 7 2019, 10:59 PM